rpmhook.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

union | rpmhookArgv
struct | rpmhookArgs_s

## Typedefs

typedef struct rpmhookArgs_s * | rpmhookArgs
typedef int(* | rpmhookFunc )(rpmhookArgs args, void *data)

## Functions

rpmhookArgs | rpmhookArgsNew (int argc)
rpmhookArgs | rpmhookArgsFree (rpmhookArgs args)
void | rpmhookRegister (const char *name, rpmhookFunc func, void *data)
void | rpmhookUnregister (const char *name, rpmhookFunc func, void *data)
void | rpmhookUnregisterAny (const char *name, rpmhookFunc func)
void | rpmhookUnregisterAll (const char *name)
void | rpmhookCall (const char *name, const char *argt,...)
void | rpmhookCallArgs (const char *name, rpmhookArgs args)

## Typedef Documentation

typedef struct rpmhookArgs_s * rpmhookArgs

typedef int(* rpmhookFunc)(rpmhookArgs args, void *data)

Definition at line 19 of file rpmhook.h.

## Function Documentation

rpmhookArgs rpmhookArgsFree | ( | rpmhookArgs | args | ) |

Definition at line 42 of file rpmhook.c.

Referenced by rpmhookCall().

rpmhookArgs rpmhookArgsNew | ( | int | argc | ) |

Definition at line 34 of file rpmhook.c.

References rpmhookArgs_s::argc, rpmhookArgs_s::argv, and xcalloc().

Referenced by rpmhookArgsParse().

void rpmhookCall | ( | const char * | name,
|  | const char * | argt,
|  |  | ...
| ) |  |

Definition at line 267 of file rpmhook.c.

References rpmhookArgsFree(), rpmhookArgsParse(), and rpmhookTableCallArgs().

void rpmhookCallArgs | ( | const char * | name,
|  | rpmhookArgs | args
| ) |  |

Definition at line 282 of file rpmhook.c.

References rpmhookTableCallArgs().

void rpmhookRegister | ( | const char * | name,
|  | rpmhookFunc | func,
|  | void * | data
| ) |  |

Definition at line 240 of file rpmhook.c.

References RPMHOOK_TABLE_INITSIZE, rpmhookTableAddItem(), and rpmhookTableNew().

void rpmhookUnregister | ( | const char * | name,
|  | rpmhookFunc | func,
|  | void * | data
| ) |  |

Definition at line 249 of file rpmhook.c.

References rpmhookTableDelItem().

void rpmhookUnregisterAll | ( | const char * | name | ) |

Definition at line 261 of file rpmhook.c.

References rpmhookTableDelItem().

void rpmhookUnregisterAny | ( | const char * | name,
|  | rpmhookFunc | func
| ) |  |

Definition at line 255 of file rpmhook.c.

References rpmhookTableDelItem().